## org.hamcrest
Class Description.NullDescription

    java.lang.Object
      org.hamcrest.Description.NullDescription

All Implemented Interfaces:
  Description

Enclosing interface:
  Description

    public static final class Description.NullDescription

extends Object
implements Description

Nested Class Summary

Nested classes/interfaces inherited from interface org.hamcrest.Description
`Description.NullDescription`

Field Summary

Fields inherited from interface org.hamcrest.Description
`NONE`

Constructor Summary
`Description.NullDescription()`

Method Summary
`Description` `appendDescriptionOf(SelfDescribing value)` Appends the description of a `SelfDescribing` value to this description.
`Description` `appendList(String start, String separator, String end, Iterable<? extends SelfDescribing> values)` Appends a list of `SelfDescribing` objects to the description.
`Description` `appendText(String text)` Appends some plain text to the description.
`Description` `appendValue(Object value)` Appends an arbitary value to the description.

`

`<T> Description`

`

`appendValueList(String start, String separator, String end, Iterable<T> values)`
Appends a list of values to the description.

`

`<T> Description`

`

`appendValueList(String start, String separator, String end, T... values)`
Appends a list of values to the description.

`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Description.NullDescription

    public Description.NullDescription()

Method Detail

### appendDescriptionOf

    public Description appendDescriptionOf(SelfDescribing value)

  Description copied from interface: `Description`
  Appends the description of a `SelfDescribing` value to this description.

  Specified by:
    `appendDescriptionOf` in interface `Description`

### appendList

    public Description appendList(String start,
                                  String separator,
                                  String end,
                                  Iterable<? extends SelfDescribing> values)

  Description copied from interface: `Description`
  Appends a list of `SelfDescribing` objects to the description.

  Specified by:
    `appendList` in interface `Description`

### appendText

    public Description appendText(String text)

  Description copied from interface: `Description`
  Appends some plain text to the description.

  Specified by:
    `appendText` in interface `Description`

### appendValue

    public Description appendValue(Object value)

  Description copied from interface: `Description`
  Appends an arbitary value to the description.

  Specified by:
    `appendValue` in interface `Description`

### appendValueList

    public <T> Description appendValueList(String start,
                                           String separator,
                                           String end,
                                           T... values)

  Description copied from interface: `Description`
  Appends a list of values to the description.

  Specified by:
    `appendValueList` in interface `Description`

### appendValueList

    public <T> Description appendValueList(String start,
                                           String separator,
                                           String end,
                                           Iterable<T> values)

  Description copied from interface: `Description`
  Appends a list of values to the description.

  Specified by:
    `appendValueList` in interface `Description`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2002–2020 JUnit. All rights reserved.